summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Overstreet <kent.overstreet@linux.dev>2022-09-02 00:48:38 -0400
committerKent Overstreet <kent.overstreet@linux.dev>2022-09-02 00:48:38 -0400
commitde6364afbdda1e0b3fb0258126cc9af62925937f (patch)
tree4154119d2f31c22cd6c9e199646dcf76300b9e95
parent4a2f32cf81ee1280cae60793e4d2ddc74b67c31d (diff)
ci: Ignore errors from git fetch
This can occasionally race, and that's fine Signed-off-by: Kent Overstreet <kent.overstreet@linux.dev>
-rw-r--r--ci/_test-git-branch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/ci/_test-git-branch.sh b/ci/_test-git-branch.sh
index 154eaf1..3924d23 100644
--- a/ci/_test-git-branch.sh
+++ b/ci/_test-git-branch.sh
@@ -22,7 +22,7 @@ sync_git_repos()
local repo
for repo in ${JOBSERVER_GIT_REPOS[@]}; do
- (cd ~/$repo; git_fetch $repo; git checkout -f FETCH_HEAD) > /dev/null
+ (cd ~/$repo; git_fetch $repo || true; git checkout -f FETCH_HEAD) > /dev/null
done
}